<template>
  <div class="detail" style="width: 5rem">
    <el-table
        :data="tableData"
        style="width: 100%;"
        height="200px"
    >
      <el-table-column
          prop="LabMonTime"
          label="检测时间">
      </el-table-column>
      <el-table-column
          label="COD">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="氨氮">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="总磷">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <el-table-column
          label="总氮">
        <el-table-column
            prop="LabMonValue"
            label="监测值">
        </el-table-column>
        <el-table-column
            prop="StdValue"
            label="标准值">
        </el-table-column>
      </el-table-column>
      <!--      <el-table-column-->
      <!--          fixed="right"-->
      <!--          label="苯">-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="LabMonValue"-->
      <!--            label="监测值">-->
      <!--        </el-table-column>-->
      <!--        <el-table-column-->
      <!--            fixed="right"-->
      <!--            prop="StdValue"-->
      <!--            label="标准值">-->
      <!--        </el-table-column>-->
      <!--      </el-table-column>-->
    </el-table>
  </div>
</template>

<script>

import mapApi from '@/api/mapApi'
import 'dayjs/locale/es'
import dayjs from 'dayjs'

export default {
  name: 'Detail',
  data () {
    return {
      tableData: []
    }
  },
  mounted () {
    this.initdetail()
  },
  methods: {
    async initdetail () {
      const timeEnd = dayjs().format('YYYY-MM-DD HH:mm:ss')
      const timeStart = dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
      const data = {
        companyId: 3900100145,
        labMonPointId: 219,
        beginTime: timeStart,
        endTime: timeEnd
      }
      const result = (await mapApi.getQueryLabMonData(data)).Result.DataInfo
      // console.log(result)
      this.tableData = result
    }
  }
}

</script>

<style scoped>
/deep/ .el-table--border::after, .el-table--group::after, .el-table::before {
  background: none;
}

/*/deep/ .el-table {*/
/*  border: none !important;*/
/*}*/
</style>
